macOS High Sierra 10.13.1 Update Can Break the Root Password Security Patch, Here’s How to Fix it | The Mac Observer

Apparently that bug is still lingering, the consequences of being proactive about it anyway:

Apple fixed the security flaw with the Security Update 2017-001 patch, but apparently hasn’t replaced its macOS High Sierra 10.13.1 updater to include it. The end result is if you install the patch while running macOS 10.13, and then update to 10.13.1, you can reintroduce the security flaw.

Permalink